Bug 466838 - yum reinstall: unicode bug
yum reinstall: unicode bug
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-13 21:58 EDT by jakschu
Modified: 2014-01-21 18:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-13 23:31:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jakschu 2008-10-13 21:58:15 EDT
Description of problem:
  yum reinstall gives an error, if:
  $LANG settings are set to de_DE.utf8
  and
  the package doesn't exist.


Version-Release number of selected component (if applicable):
  yum --version: 3.2.19
  Installed: yum-3.2.19-3.fc10.noarch at 2008-09-22 03:48
  Built    : Fedora Project at 2008-09-03 14:52
  Committed: Seth Vidal <skvidal at fedoraproject.org> at 2008-09-03 22:00

  Installed: rpm-4.5.90-0.git8514.1.i386 at 2008-10-02 23:56
  Built    : Fedora Project at 2008-10-01 08:48
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2008-10-01 22:00

  Installed: yum-metadata-parser-1.1.2-8.fc9.i386 at 2008-09-22 02:41
  Built    : Fedora Project at 2008-02-14 13:27
  Committed: Seth Vidal <skvidal at fedoraproject.org> at 2008-02-14 22:00


How reproducible:
  Enter this into a terminal:
  LANG=de_DE.utf8 yum reinstall PackageNotExist

  
Actual results:
  Geladene Plugins: refresh-packagekit
  Einrichten des Neuinstallationsprozess
  Kein Übereinstimmung für Argument: PackageNotExist
  Traceback (most recent call last):
    File "/usr/bin/yum", line 29, in <module>
      yummain.user_main(sys.argv[1:], exit_code=True)
    File "/usr/share/yum-cli/yummain.py", line 229, in user_main
      errcode = main(args)
    File "/usr/share/yum-cli/yummain.py", line 104, in main
      result, resultmsgs = base.doCommands()
    File "/usr/share/yum-cli/cli.py", line 339, in doCommands
      return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
    File "/usr/share/yum-cli/yumcommands.py", line 839, in doCommand
      return 1, [str(e)]
  UnicodeEncodeError: 'ascii' codec can't encode character u'\xfc' in position 63: ordinal not in range(128)
Comment 1 James Antill 2008-10-13 23:31:18 EDT
 This is fixed in upstream commit:

29247ba155041585ae37042fb64a687522f094e7


...this should be in rawhide/Fedora 10 "soon".

Note You need to log in before you can comment on or make changes to this bug.